Skip to main content
GET
/
v1
/
scrape
/
twitter
/
tweet
Tweet Details
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/twitter/tweet \
  --header 'X-API-Key: <api-key>'
{
  "__typename": "Tweet",
  "rest_id": "1628769691547074562",
  "core": {
    "user_results": {
      "result": {
        "__typename": "User",
        "id": "VXNlcjo0NTIwMjQxMjA5",
        "rest_id": "4520241209",
        "affiliates_highlighted_label": {},
        "is_blue_verified": true,
        "profile_image_shape": "Circle",
        "legacy": {
          "created_at": "Fri Dec 18 02:48:59 +0000 2015",
          "default_profile": false,
          "default_profile_image": false,
          "description": "Social Media Scraping API's: https://t.co/eSvJcfOZwF\n\nWeb Scraping Course: https://t.co/Sh9N0rAxXk",
          "entities": {
            "description": {
              "urls": [
                {
                  "display_url": "sociavault.com",
                  "expanded_url": "https://sociavault.com/",
                  "url": "https://t.co/eSvJcfOZwF",
                  "indices": [
                    29
                  ]
                }
              ]
            },
            "url": {
              "urls": [
                {
                  "display_url": "thewebscrapingguy.com",
                  "expanded_url": "https://thewebscrapingguy.com/",
                  "url": "https://t.co/gNUelkV9LA",
                  "indices": [
                    0
                  ]
                }
              ]
            }
          },
          "fast_followers_count": 0,
          "favourites_count": 85211,
          "followers_count": 16488,
          "friends_count": 1129,
          "has_custom_timelines": true,
          "is_translator": false,
          "listed_count": 151,
          "location": "Austin, TX",
          "media_count": 1133,
          "name": "Adrian | The Web Scraping Guy",
          "normal_followers_count": 16488,
          "pinned_tweet_ids_str": [
            "1628769691547074562"
          ],
          "possibly_sensitive": false,
          "profile_banner_url": "https://pbs.twimg.com/profile_banners/4520241209/1710267319",
          "profile_image_url_https": "https://pbs.twimg.com/profile_images/1413647704161275904/1tTdl4v9_normal.jpg",
          "profile_interstitial_type": "",
          "screen_name": "adrian_horning_",
          "statuses_count": 17305,
          "translator_type": "none",
          "url": "https://t.co/gNUelkV9LA",
          "verified": false,
          "withheld_in_countries": [
            "<unknown>"
          ]
        },
        "professional": {
          "rest_id": "1554172330263339015",
          "professional_type": "Business",
          "category": [
            "<unknown>"
          ]
        },
        "tipjar_settings": {
          "is_enabled": false,
          "bandcamp_handle": "",
          "bitcoin_handle": "",
          "cash_app_handle": "",
          "ethereum_handle": "",
          "gofundme_handle": "",
          "patreon_handle": "",
          "pay_pal_handle": "",
          "venmo_handle": ""
        }
      }
    }
  },
  "unmention_data": {},
  "edit_control": {
    "edit_tweet_ids": [
      "1628769691547074562"
    ],
    "editable_until_msecs": "1677165730000",
    "is_edit_eligible": false,
    "edits_remaining": "5"
  },
  "is_translatable": false,
  "views": {
    "count": "101132",
    "state": "EnabledWithCount"
  },
  "source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>",
  "legacy": {
    "bookmark_count": 1159,
    "bookmarked": false,
    "created_at": "Thu Feb 23 14:52:10 +0000 2023",
    "conversation_id_str": "1628769691547074562",
    "display_text_range": [
      0
    ],
    "entities": {
      "hashtags": [
        "<unknown>"
      ],
      "symbols": [
        "<unknown>"
      ],
      "timestamps": [
        "<unknown>"
      ],
      "urls": [
        {
          "display_url": "lemondrops.io",
          "expanded_url": "http://lemondrops.io",
          "url": "https://t.co/Fv4phrfgen",
          "indices": [
            74
          ]
        }
      ],
      "user_mentions": [
        "<unknown>"
      ]
    },
    "favorite_count": 402,
    "favorited": false,
    "full_text": "I’ve scraped huge retailers, real estate sites, county websites, and sold https://t.co/Fv4phrfgen, which scraped lululemon. \n\nAnd here is EVERYTHING I know about web scraping 👇",
    "is_quote_status": false,
    "lang": "en",
    "possibly_sensitive": false,
    "possibly_sensitive_editable": true,
    "quote_count": 7,
    "reply_count": 41,
    "retweet_count": 30,
    "retweeted": false,
    "user_id_str": "4520241209",
    "id_str": "1628769691547074562"
  }
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

url
string
required

Tweet URL

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

__typename
string
required
Example:

"Tweet"

rest_id
string
required
Example:

"1628769691547074562"

core
object
required
unmention_data
object
required
edit_control
object
required
is_translatable
boolean
required
Example:

false

views
object
required
source
string
required
Example:

"<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"

legacy
object
required